#!/bin/bash
set -eu
# définition de l'url contenant les scripts
RAWDIR=https://git.jmanson.fr/jeremy/installer_gentoo/raw/master

# Téléchargements des scripts 
wget -P /tmp/ $RAWDIR/env.sh  
wget -P /tmp/ $RAWDIR/downloader.sh  
wget -P /tmp/ $RAWDIR/partitions.sh  
wget -P /tmp/ $RAWDIR/grubconfig.sh  
wget -P /tmp/ $RAWDIR/extract_and_mount.sh  
wget -P /tmp/ $RAWDIR/sysconfig.sh  
wget -P /tmp/ $RAWDIR/portageconfig.sh  
wget -P /tmp/ $RAWDIR/portageinstall.sh  
wget -P /tmp/ $RAWDIR/kernelinstall.sh  
wget -P /tmp/ $RAWDIR/sudoconfig.sh  
# ouvrir les varriables 
source /tmp/env.sh  

# lancer les scripts 
sh /tmp/partitions.sh  
sh /tmp/downloader.sh  
sh /tmp/extract_and_mount.sh  
sh /tmp/sysconfig.sh  
sh /tmp/portageconfig.sh  
sh /tmp/portageinstall.sh  
sh /tmp/kernelinstall.sh  
sh /tmp/sudoconfig.sh  
sh /tmp/grubconfig.sh  